Method: projects.locations.backupPolicies.list

Returns list of all available backup policies.

HTTP request


GET https://netapp.googleapis.com/v1beta1/{parent=projects/*/locations/*}/backupPolicies

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListBackupPoliciesRequest

Query parameters

Parameters
pageSize

integer

Requested page size. Server may return fewer items than requested. If unspecified, the server will pick an appropriate default.

pageToken

string

A token identifying a page of results the server should return.

filter

string

Filtering results

orderBy

string

Hint for how to order the results

Request body

The request body must be empty.

Response body

ListBackupPoliciesResponse contains all the backup policies requested.

If successful, the response body contains data with the following structure:

JSON representation
{
  "backupPolicies": [
    {
      object (BackupPolicy)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
backupPolicies[]

object (BackupPolicy)

The list of backup policies.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-netapp
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • netapp.backupPolicies.list

For more information, see the IAM documentation.